summaryrefslogtreecommitdiffstats
path: root/ci/script.bash
diff options
context:
space:
mode:
Diffstat (limited to 'ci/script.bash')
-rwxr-xr-xci/script.bash14
1 files changed, 14 insertions, 0 deletions
diff --git a/ci/script.bash b/ci/script.bash
new file mode 100755
index 00000000..321dcb14
--- /dev/null
+++ b/ci/script.bash
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# Incorporate TARGET env var to the build and test process
+cargo build --target "$TARGET" --verbose
+
+# We cannot run arm executables on linux
+if [[ $TARGET != arm-unknown-linux-gnueabihf ]]; then
+ cargo test --target "$TARGET" --verbose
+
+ # Run 'bat' on its own source code and the README
+ cargo run --target "$TARGET" -- src/main.rs README.md --paging=never
+fi